Create access key from SAML
Exchange a SAML assertion for a temporary access key (anonymous on the CoreWeave side).
POST
Create access key from SAML
gRPC method: CreateAccessKeyFromSAML
- The API server is
https://api.coreweave.com. - This endpoint is anonymous on the CoreWeave side,
authentication comes from the SAML assertion in the
request body, not a
Bearertoken in the header.
durationSeconds and must be
0-43200 seconds (12 hours maximum). The samlResponse
must be base64-encoded.
To regenerate the key after durationSeconds has elapsed,
resubmit a fresh SAML assertion.
data.json
Example request
Body
application/json
Inputs for exchanging a SAML assertion for a CoreWeave AI Object Storage access key.
The Workload Identity Federation configuration ID that corresponds to the SAML provider. Configurations are created from the Cloud Console; see Using Workload Identity Federation with SAML.
Response
OK
The newly-minted access key. The secretKey is the only opportunity to read the secret value.